Build #1 for hit-on-0.0.0

[all reports]

Package hit-on-0.0.0
Install DependencyFailed hit-on-0.0.0
Docs NotTried
Tests NotTried
Time submitted 2019-03-16 16:36:25.177353829 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies ansi-terminal-0.9, base-noprelude-4.12.0.0, github-0.20, gitrev-1.3.1, optparse-applicative-0.14.3.0, relude-0.4.0, shellmet-0.0.0, text-1.2.3.1, vector-0.12.0.2, base-4.12.0.0
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     base-noprelude-4.12.0.0
Starting     StateVar-1.1.1.1
Starting     base-orphans-0.8
Starting     base-compat-0.10.5
Building     StateVar-1.1.1.1
Building     base-noprelude-4.12.0.0
Building     base-orphans-0.8
Building     base-compat-0.10.5
Completed    base-noprelude-4.12.0.0
Starting     base16-bytestring-0.1.1.6
Building     base16-bytestring-0.1.1.6
Completed    base-orphans-0.8
Starting     basement-0.0.10
Completed    StateVar-1.1.1.1
Starting     blaze-builder-0.4.1.0
Building     basement-0.0.10
Building     blaze-builder-0.4.1.0
Completed    base16-bytestring-0.1.1.6
Starting     byteable-0.1.1
Building     byteable-0.1.1
Completed    byteable-0.1.1
Starting     cabal-doctest-1.0.6
Building     cabal-doctest-1.0.6
Completed    blaze-builder-0.4.1.0
Starting     cereal-0.5.8.0
Completed    base-compat-0.10.5
Starting     colour-2.3.4
Building     cereal-0.5.8.0
Building     colour-2.3.4
Completed    cabal-doctest-1.0.6
Starting     data-default-class-0.1.2.0
Building     data-default-class-0.1.2.0
Completed    data-default-class-0.1.2.0
Starting     deepseq-generics-0.2.0.0
Building     deepseq-generics-0.2.0.0
Completed    deepseq-generics-0.2.0.0
Starting     dlist-0.8.0.5
Building     dlist-0.8.0.5
Completed    cereal-0.5.8.0
Starting     double-conversion-2.0.2.0
Completed    colour-2.3.4
Starting     hashable-1.2.7.0
Building     double-conversion-2.0.2.0
Building     hashable-1.2.7.0
Completed    dlist-0.8.0.5
Starting     hourglass-0.2.12
Building     hourglass-0.2.12
Completed    hashable-1.2.7.0
Starting     integer-logarithms-1.0.2.2
Building     integer-logarithms-1.0.2.2
Completed    double-conversion-2.0.2.0
Starting     iso8601-time-0.1.5
Building     iso8601-time-0.1.5
Completed    integer-logarithms-1.0.2.2
Starting     mime-types-0.1.0.9
Building     mime-types-0.1.0.9
Completed    iso8601-time-0.1.5
Starting     network-2.8.0.0
Completed    hourglass-0.2.12
Starting     network-uri-2.6.1.0
Building     network-uri-2.6.1.0
Building     network-2.8.0.0
Completed    mime-types-0.1.0.9
Starting     primitive-0.6.4.0
Completed    network-uri-2.6.1.0
Starting     random-1.1
Building     primitive-0.6.4.0
Building     random-1.1
Completed    random-1.1
Starting     safe-0.3.17
Building     safe-0.3.17
Completed    network-2.8.0.0
Starting     semigroups-0.18.5
Building     semigroups-0.18.5
Completed    safe-0.3.17
Starting     shellmet-0.0.0
Completed    semigroups-0.18.5
Starting     tagged-0.8.6
Building     shellmet-0.0.0
Building     tagged-0.8.6
Failed to install shellmet-0.0.0
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/shellmet-0.0.0-448avqFGalp9ShpmEXEMR4.log ):
cabal: Entering directory '/tmp/cabal-tmp-24160/shellmet-0.0.0'
Configuring shellmet-0.0.0...
Preprocessing library for shellmet-0.0.0..
Building library for shellmet-0.0.0..
[1 of 1] Compiling Shellmet
Preprocessing executable 'readme' for shellmet-0.0.0..
Building executable 'readme' for shellmet-0.0.0..
ghc: could not execute: markdown-unlit
cabal: Leaving directory '/tmp/cabal-tmp-24160/shellmet-0.0.0'
Starting     text-binary-0.2.1.1
Building     text-binary-0.2.1.1
Completed    text-binary-0.2.1.1
Completed    tagged-0.8.6
Completed    basement-0.0.10
Completed    primitive-0.6.4.0
cabal: Error: some packages failed to install:
hit-on-0.0.0-3jnnaMImoljG0Vc09ipMkV depends on hit-on-0.0.0 which failed to
install.
shellmet-0.0.0-448avqFGalp9ShpmEXEMR4 failed during the building phase. The
exception was:
ExitFailure 1